LibreOffice: XServiceConstructorDescription Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XServiceConstructorDescription Interface Reference

Reflects a service constructor. More...

`import"XServiceConstructorDescription.idl";`

## Public Member Functions
boolean | isDefaultConstructor ()
| Returns whether the constructor is a default constructor. More...
string | getName ()
| Returns the constructor's name. More...
sequence< XParameter > | getParameters ()
| Returns the constructor's parameters. More...
sequence< XCompoundTypeDescription > | getExceptions ()
| Returns the exceptions that can be raised by the constructor. More...

## Detailed Description

Reflects a service constructor.

Since
  OOo 2.0

## Member Function Documentation

## ◆ getExceptions()

sequence< XCompoundTypeDescription > getExceptions | ( |  | ) |

Returns the exceptions that can be raised by the constructor.

Returns
  the reflections of all the exceptions that are listed in the constructor's `raises` specification, in no particular order; all elements of the returned sequence will be reflections of exception types; for a default constructor, an empty sequence is returned (even though the mapping of a default constructor in a particular language binding may well raise certain UNO exceptions)

## ◆ getName()

string getName | ( |  | ) |

Returns the constructor's name.

Returns
  the constructor's name; for a default constructor, an empty `string` is returned

## ◆ getParameters()

sequence< XParameter > getParameters | ( |  | ) |

Returns the constructor's parameters.

Returns
  the reflections of all the constructor's parameters, in their lexical order; for a default constructor, an empty sequence is returned

## ◆ isDefaultConstructor()

boolean isDefaultConstructor | ( |  | ) |

Returns whether the constructor is a default constructor.

Returns
  `TRUE` if the constructor is a default constructor

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XServiceConstructorDescription.idl